Subject: Re: [PATCH 2/2] ipvs: load balance ipv6 connections from a local process

From: Brian Haley <[email-masked]>
Date: Fri, 05 Sep 2008 11:55:44 -0400

Julius Volz wrote:
>> -out:
>> -       __ip_vs_conn_put(cp);
>> -
>> -       return verdict;
>> +       snet.in6 = iph->saddr;
> 
> I've always been told to use ipv6_addr_copy() for this. I'm not sure
> what the problem with the direct struct assignment is though... would
> be nice if someone could explain.

Because an in6_addr is a union of 4 u32's, which won't all be copied in 
a struct assignment.  That's the way I've always understood it.

-Brian